ENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

import { ArgumentsProcessor, TickProcessor } from "./tickprocessor.mjs";

const params = ArgumentsProcessor.process(arguments);
const tickProcessor = TickProcessor.fromParams(params);
await tickProcessor.processLogFile(params.logFileName);
if (params.serializeVMSymbols) {
  tickProcessor.printVMSymbols();
} else {
  tickProcessor.printStatistics();
}
